Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface AuthenticatorMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAuthenticatorMBean

public interface AuthenticatorMBean
extends weblogic.management.commo.StandardInterface, AuthenticationProviderMBean

The SSPI MBean that all Authentication providers with login services must extend. This MBean provides a ControlFlag to determine whether the Authentication provider is a REQUIRED, REQUISITE, SUFFICENT, or OPTIONAL part of the login sequence.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getControlFlag()` Determines how the login sequence uses the Authentication provider.
`void` | `setControlFlag(java.lang.String newValue)` Determines how the login sequence uses the Authentication provider.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion, setRealm`

Method Detail

### getControlFlag

    public java.lang.String getControlFlag()

  Determines how the login sequence uses the Authentication provider.

  A `REQUIRED` value specifies this LoginModule must succeed. Even if it fails, authentication proceeds down the list of LoginModules for the configured Authentication providers. This setting is the default.

  A `REQUISITE` value specifies this LoginModule must succeed. If other Authentication providers are configured and this LoginModule succeeds, authentication proceeds down the list of LoginModules. Otherwise, control is return to the application.

  A `SUFFICIENT` value specifies this LoginModule need not succeed. If it does succeed, return control to the application. If it fails and other Authentication providers are configured, authentication proceeds down the LoginModule list.

  An `OPTIONAL` value specifies this LoginModule need not succeed. Whether it succeeds or fails, authentication proceeds down the LoginModule list.

  Default Value: "REQUIRED"
  Legal NULL: true
  Legal Values: REQUIRED,REQUISITE,SUFFICIENT,OPTIONAL

### setControlFlag

    public void setControlFlag(java.lang.String newValue)
                        throws javax.management.InvalidAttributeValueException

  Determines how the login sequence uses the Authentication provider.

  A `REQUIRED` value specifies this LoginModule must succeed. Even if it fails, authentication proceeds down the list of LoginModules for the configured Authentication providers. This setting is the default.

  A `REQUISITE` value specifies this LoginModule must succeed. If other Authentication providers are configured and this LoginModule succeeds, authentication proceeds down the list of LoginModules. Otherwise, control is return to the application.

  A `SUFFICIENT` value specifies this LoginModule need not succeed. If it does succeed, return control to the application. If it fails and other Authentication providers are configured, authentication proceeds down the LoginModule list.

  An `OPTIONAL` value specifies this LoginModule need not succeed. Whether it succeeds or fails, authentication proceeds down the LoginModule list.

  Default Value: "REQUIRED"
  Legal NULL: true
  Legal Values: REQUIRED,REQUISITE,SUFFICIENT,OPTIONAL
  Parameters:
    `newValue` - - new value for attribute ControlFlag
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD